Summary: Barnyard is a processor for the snort unified log format
Name: barnyard
Version: 0.2.0
Release: alt1.1
Url: http://www.snort.org/dl/barnyard/
Source0: http://www.snort.org/dl/barnyard/%name-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig
License: QPL
Group: Security/Networking

Requires: snort >= 1.8.7
#Patch1: barnyard-config.patch

# Automatically added by buildreq on Tue Oct 12 2004 (-ba)
BuildRequires: libMySQL-devel libssl-devel zlib-devel

%description
Barnyard is a processor for the snort unified log format

%prep
%setup -q -n %name-%version

#%patch1 -p1 -b .config

%build
%configure \
    --enable-mysql \
    --with-mysql-libraries=/usr/lib \
    --disable-postgres \
    --sysconfdir=%_sysconfdir/snort 

%make_build

%install
%makeinstall
%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/%_sysconfdir/{snort,sysconfig}
%__cp etc/%name.conf %buildroot/%_sysconfdir/snort
%__cp %SOURCE1 %buildroot/%_initdir/%name
%__cp %SOURCE2 %buildroot/%_sysconfdir/sysconfig/%name

%files
%doc docs/BUGS docs/ChangeLog docs/FAQ docs/INSTALL docs/NEWS docs/USAGE LICENSE.QPL COPYING AUTHORS README
%attr(-,root,root) 
%config(noreplace) %_sysconfdir/snort/%name.conf 
%config(noreplace) %_sysconfdir/sysconfig/%name
%_initdir/%name
%_bindir/*

%changelog
* Thu Oct 12 2004 LAKostis <lakostis at altlinux.ru> 0.2.0-alt1.1
- fix initscripts.

* Thu Oct 12 2004 LAKostis <lakostis at altlinux.ru> 0.2.0-alt1
- Initial release for ALTLinux Sisyphus.

* Wed Sep 18 2002 Gareth Marshall <garethm@acm.org> 0.1.0-rc2
- fixed license description

* Wed Sep 18 2002 Gareth Marshall <garethm@acm.org> 0.1.0-rc2
- initial construction
